compact1, compact2, compact3
java.util

## Class DuplicateFormatFlagsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.DuplicateFormatFlagsException

All Implemented Interfaces:
  Serializable

    public class DuplicateFormatFlagsException
    extends IllegalFormatException

Unchecked exception thrown when duplicate flags are provided in the format specifier.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DuplicateFormatFlagsException(String f)` Constructs an instance of this class with the specified flags.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFlags()` Returns the set of flags which contains a duplicate flag.
`String` `getMessage()` Returns the detail message string of this throwable.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuplicateFormatFlagsException

    public DuplicateFormatFlagsException(String f)

Constructs an instance of this class with the specified flags.

Parameters:
  `f` - The set of format flags which contain a duplicate flag.

### Method Detail

#### getFlags

    public String getFlags()

Returns the set of flags which contains a duplicate flag.

Returns:
  The flags

#### getMessage

    public String getMessage()

Description copied from class: `Throwable`
Returns the detail message string of this throwable.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).